Flash player

De doc.ubuntu-es
Revisión a fecha de 00:34 15 jun 2007; Kelp (Discusión | contribuciones)
(dif) ← Revisión anterior | Revisión actual (dif) | Revisión siguiente → (dif)
Saltar a: navegación, buscar

Adobe actualmente solo proporciona la versión Flash para Linux x86.

Nota para equipos no-x86: Adobe Flash Player está solo disponible para x86. Reproducir Flash en dsitribuciones de Ubuntu PPC y AMD64 es posible, sin embargo, consulta [#amd64andppc abajo].

Se proporciona información sobre [#flashtrouble resolución de problemas] abajo.

Contenido

Ubuntu 7.04 (Feisty Fawn)

  • Instala el paquete flashplugin-nonfree.
  • Paso extra para Konqueror. En Konqueror, haz click en OpcionesConfigurar Konqueror. baja hasta la opción Plugins. Haz click en Buscar nuevos plugins
  • Reinicia tu navegador. Flash debe funcionar ahora.

Ubuntu 6.10 (Edgy Eft)

Este método instalará la última versión de flashplayer de los repositorios de Ubuntu, para Firefox, Konqueror, Mozilla, Epiphany y otros navegadores.

  • Instala el paquete flashplugin-nonfree. Necesitas tener añadido el repositorio Multiverse para este paquete esté presente. Consulta instalar aplicaciones.
  • Reinicia tu navegador web. Flash debe funcionar ahora.

Ubuntu 6.06 LTS (Dapper Drake)

Instalar desde los Repositorios

Este método instalará la última versión de flashplayer de los repositorios de Ubuntu, para Firefox, Konqueror, Mozilla, Epiphany y otros navegadores.

  • Adñade el [:UbuntuBackports:Repositorio Backport]
  • Instala el paquete flashplugin-nonfree.. Necesitarás tener el repositorio Multiverse activado para que este paquete esté presente.
  • Paso extra para Konqueror. En Konqueror, haz click en OpcionesConfigurar Konqueror. Baja hasta la opción Plugins. Haz click en Buscar nuevos plugins
  • Reinicia tu navegador web. Flash debe funcionar ahora..

El paquete flashplugin-nonfree no funcionará si estás tras un servidor proxy:

 sudo -i
 wget http://fpdownload.macromedia.com/get/flashplayer/current/install_flash_player_9_linux.tar.gz
 tar zxvf install_flash_player_9_linux.tar.gz
 cd install_flash_player_9_linux/
  ./flashplayer-installer
  exit
  • Recuerda que si instalas flash de esta manera, no recibirás actualizaciones automáticas para Flash a través del gestor de paquetes de Ubuntu.

Flash para AMD64 y PPC

Alternativas Libres a Adobe Flashplayer

Actualmente NO hay implementación de flash disponible para procesadores 64-bit. Sin embargo, hay dos implementaciones de código abierto actualmente en desarrollo. Una es Gnash y la otra es Swfdec.

Si estás utilizando Ubuntu 7.04, Gnash y Swfdec están disponibles como paquetes de Ubuntu en los [:Repositories/Ubuntu:Repositorios Universe].

  • Gnash se puede instalar descargando el paquete mozilla-plugin-gnash.
* Swfdec se puede instalar descargando el paquete swf-player package.

Para ayuda sobre como instalar, por favor, consulta la página del wiki: Package Managers

Si estás utilizando Ubuntu 6.10, Gnash está disponible en el [:UbuntuBackports: Backports repository]. Los siguientes paquetes han de ser instalados: gnash, konqueror-plugin-gnash y mozilla-plugin-gnash.

Ejecutar en un entorno chroot de 32-bit

Si estás determinado. Instala un Ubuntu i386 Ubuntu en un [wiki:Ubuntu/DebootstrapChroot] y inicia tu navegador con plugin flash desde ahí. Los usuadios de Amd64 pueden consultar también [Self:FirefoxAMD64FlashJava.]

Ejecutar usando nspluginwrapper

Usando el nspluginwrapper es posible ejecutar en un x64 con flash 32bit. Consulta [Self:FirefoxAMD64Flash9.]

Resolución de problemas

  • Si flash no se carga en Firefox/Konqueror después de hacer lo anterior, puedes descargar de nuevo el plugin desde el principio emitiendo lo siguiente:
sudo update-flashplugin

Sonido

Sintomas
  • Los vídeos Flash videos dejan de reproducirse después de 1 segundo.
  • Firefox se congela cuando voy a otra página después de haber intentado ver un vídeo flash.
  • El proceso de Firefox no finaliza correctamente después de intentar ver un vídeo flash.
Posibles soluciones

Si el sonido no funciona correctamente después de instalar flash o experimentas algunos de los sintomas anteriores, intenta alguna de las siguientes soluciones:

  • Instala el paquete alsa-oss.
  • Edita el script rc de Firefox rc:
 sudo nano /etc/firefox/firefoxrc}}}
  • Añade/Cambia la línea:
 FIREFOX_DSP="aoss"
  • Si estás usando SwiftFox, deberías podes hacerlo funcionar del mismo modo que Firefox parcheando el fichero /usr/lib/swiftfox/run-mozilla.sh. Aquí tienes los pasos:
  1. Guarda el siguiente código en un fichero, puedes llamarlo swiftfox_oss_patch.diff
 --- /usr/lib/swiftfox/run-mozilla.sh.orig	2006-08-23 16:19:43.000000000 +0300
 +++ /usr/lib/swiftfox/run-mozilla.sh	2006-08-23 16:30:48.000000000 +0300
 @@ -163,7 +163,30 @@
	##
	## Run the program
	##
 -	"$prog" ${1+"$@"}
 +	if [ -f /etc/firefox/firefoxrc ]; then
 +	    . /etc/firefox/firefoxrc
 +	fi
 +	if [ -z "${FIREFOX_DSP}" ]; then
 +	    #FIREFOX_DSP="auto"
 +	    FIREFOX_DSP="none"
 +	    # esddsp is dreadful, see https://launchpad.net/malone/bugs/29760
 +	fi
 +	##
 +	## find /dev/dsp handler
 +	##
 +
 +	if [ "${FIREFOX_DSP}" = "auto" ]; then
 +	    FIREFOX_DSP=
 +	    if pgrep -u 	d -u esd >/dev/null 2>&1; then
 +	        FIREFOX_DSP=esddsp
 +	    elif pgrep -u 	d -u arts >/dev/null 2>&1; then
 +	        FIREFOX_DSP=artsdsp
 +	    fi
 +	elif [ "${FIREFOX_DSP}" = "none" ]; then
 +	    FIREFOX_DSP=
 +	fi
 +
 +	exec "${FIREFOX_DSP}" "$prog" ${1+"$@"}
	exitcode=$?
	if [ "$DEBUG_CORE_FILES" ]
	then
  1. Aplica el parche con el siguiente comando desde tu terminal/consola:
sudo patch -p0 <swiftfox_oss_patch.diff
  1. Esto debería hacer que SwiftFox lea el fichero /etc/firefox/firefoxrc de la misma manera que lo hace para Firefox.
  • Reinicia Firefox e intenta probar de nuevo flash.

Si aun continuas teniendo el problema, prueba instalando libflash-mozplugin

Vídeo

Si utilizas una tarjeta gráfica Intel 855GM, asegúrate de tener el servidor X server color depth en 24 bits, de otro modo probablemente experimentarás petadas de Firefox. Consulta bug #14911 para más información sobre esto.

Fuentes

Si estás viendo un vídeo Flash y no ves ningun texto, instala los paquetes gsfonts and gsfonts-x11.


Recursos relacionados

Adobe tiene un blog cubriendo el desarrollo de Flash para Linux en: http://blogs.adobe.com/penguin.swf/

Herramientas personales